org.apache.avro

## Class AvroRemoteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.avro.AvroRemoteException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SpecificExceptionBase

      public class AvroRemoteException
      extends Exception

  Base class for exceptions thrown to client by server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AvroRemoteException()`
    `` | `AvroRemoteException(Object value)`
    `` | `AvroRemoteException(Object value, Throwable cause)`
    `` | `AvroRemoteException(Throwable value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getValue()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroRemoteException

          protected AvroRemoteException()

    - #### AvroRemoteException

          public AvroRemoteException(Throwable value)

    - #### AvroRemoteException

          public AvroRemoteException(Object value)

    - #### AvroRemoteException

          public AvroRemoteException(Object value,
                                     Throwable cause)

  - ### Method Detail

    - #### getValue

          public Object getValue()

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.